This page was created by the IDL library routine `mk_html_help2`.

Last modified: Sat Jul 26 18:17:38 2025.

# Directory Listing of Routines

# projects/iugonet/plot

- ATEC_GLOBAL_2DMAP
  Create a two-dimensional world map of the GPS-TEC data at a specified time.
- ATEC_KEOGRAM_GLAT_GLONG
  Create a keogram of the subtracted TEC (Total Electron Content) data
- GET_DATA_ASI_NIPR
- GET_DATA_THMASI
- IUG_MOVIE_SMART
- IUG_PLOT2D_EAR_FAI
  Generate several 2-D plots from the FAI f-region observation data taken by the EAR.
- IUG_PLOT2D_GPS_RO
  Generate several height-latitude profile from the GPS radio occultation data
- IUG_PLOT2D_IONOGRAM
  Generate several ionogram plots from the ionogram data taken by the ionosonde.
- IUG_PLOT2D_IRIO
- IUG_PLOT2D_MU_FAI
  Generate several 2-D plots from the FAI f-region observation data taken by the MU radar.
- IUG_PLOT2D_RADIOSONDE
  Generate several height profiles from the radiosonde data.
- IUG_PLOT2D_SMART
- OVERLAY_MAP_ASI_NIPR
- OVERLAY_MAP_THMASI
- PLOT_MAP_ASI_NIPR
- SCALE_IMAGE_VALUES

# Routine Descriptions

## ATEC_GLOBAL_2DMAP

[Next Routine] [List of Routines]

    NAME:
    atec_global_2dmap

    PURPOSE:
      Create a two-dimensional world map of the GPS-TEC data at a specified time.

    SYNTAX:
     atec_global_2dmap, vname1, st_time = st_time,
                               contour_min = contour_min, contour_max = contour_max

    INPUT:
      vname1 = tplot variable name

    KEYWOARDS:

      P0lat = center latitude of a world map
                 The default is 0.

      P0lon = center longitude of a world map
                 The default is 160.

      plot_min_lat = minimum value of plot latitude range
                            The default is -90.0.

      plot_max_lat = maximum value of plot latitude range
                            The default is 90.0.

      plot_min_lon = minimum value of plot longitude range
                            The default is -180.0.

      plot_max_lon = maximum value of plot longitude range
                            The default is 180.0.

      st_time = start time to create a world map of GPS-TEC data

      contour_min = plot the minimum range of GPS-TEC value.
                         The default is the minimum range corresponding to the minimum GPS-TEC value.

      contour_max = plot the maximum range of each GPS-TEC value.
                         The default is the maximum range corresponding to the maximum GPS-TEC value.

      /local_noon: plot the local noon line in the two-dimensional map.

    CODE:
     A. Shinbori, 06/10/2021.

    MODIFICATIONS:

    ACKNOWLEDGEMENT:
     $LastChangedBy:  $
     $LastChangedDate:  $
     $LastChangedRevision:  $
     $URL $

(See projects/iugonet/plot/atec_global_2dmap.pro)

## ATEC_KEOGRAM_GLAT_GLONG

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
     atec_keogram_glat_glong

    PURPOSE:
      Create a keogram of the subtracted TEC (Total Electron Content) data
      provided by the DRAWING/PWING projects and and loads data into tplot format.

    SYNTAX:
     atec_keogram_glat_glong,  glong = glong

    KEYWOARDS:
      glong = specify the geographic longitude of a TEC keogram.
                  The default is 0.

    CODE:
     A. Shinbori, 06/10/2021.

    MODIFICATIONS:

    ACKNOWLEDGEMENT:
     $LastChangedBy:  $
     $LastChangedDate:  $
     $LastChangedRevision:  $
     $URL $

(See projects/iugonet/plot/atec_keogram_glat_glong.pro)

## GET_DATA_ASI_NIPR

[Previous Routine] [Next Routine] [List of Routines]

     PROCEDURE get_data_asi_nipr

     :DESCRIPTION:
        Extract the ASI data at the designated time from the tplot variable
        and make the structure.

     :PARAMS:
        asi_vn: tplot variable name (as string)

     :KEYWORDS:
        set_time: set the time (UNIX time) to get 2D data (can be an array)
        altitude: set the altitude on which the image data will be mapped.
                  The default value is 110 (km).
        aacgm: set to obtain the position data in the AACGM coordinates
        data: output data as the structure which have the tags as follows;
              name: tplot variable name
              set_time: the designated time (array)
              dat_time: the actual time (array)
              data: image data
              alti: altitude (scalar)
              azim: azimuth angle for each pixel of the images
              elev: elevation angle for each pixel of the images
              center_glat: geographic latitude for the center of each pixel
              center_glon: geographic longitude
              corner_glat: geographic latitude for the corner of each pixel
              corner_glon: geographic longitude
              center_mlat: aacgm latitude for the center of each pixel
              center_mlon: aacgm longitude
              center_mlt: magnetic local time
              corner_mlat: aacgm latitude for the corner of each pixel
              corner_mlon: aacgm longitude
              corner_mlt: magnetic local time

     :AUTHOR:
        Yoshimasa Tanaka (E-mail: ytanaka@nipr.ac.jp)

     :HISTORY:
        2014/07/08: Created

(See projects/iugonet/plot/get_data_asi_nipr.pro)

## GET_DATA_THMASI

[Previous Routine] [Next Routine] [List of Routines]

     PROCEDURE get_data_thmasi

     :DESCRIPTION:
        Extract the ASI data at the designated time from the tplot variable
        and make the structure.

     :PARAMS:
        asi_vn: tplot variable name (as string)

     :KEYWORDS:
        set_time: set the time (UNIX time) to get 2D data (can be an array)
        altitude: set the altitude on which the image data will be mapped.
                  The default value is 110 (km).
        aacgm: set to obtain the position data in the AACGM coordinates
        data: output data as the structure which have the tags as follows;
              name: tplot variable name
              set_time: the designated time (array)
              dat_time: the actual time (array)
              data: image data
              alti: altitude (scalar)
              azim: azimuth angle for each pixel of the images
              elev: elevation angle for each pixel of the images
              center_glat: geographic latitude for the center of each pixel
              center_glon: geographic longitude
              corner_glat: geographic latitude for the corner of each pixel
              corner_glon: geographic longitude
              center_mlat: aacgm latitude for the center of each pixel
              center_mlon: aacgm longitude
              center_mlt: magnetic local time
              corner_mlat: aacgm latitude for the corner of each pixel
              corner_mlon: aacgm longitude
              corner_mlt: magnetic local time

     :AUTHOR:
        Yoshimasa Tanaka (E-mail: ytanaka@nipr.ac.jp)

     :HISTORY:
        2014/07/08: Created

(See projects/iugonet/plot/get_data_thmasi.pro)

## IUG_MOVIE_SMART

[Previous Routine] [Next Routine] [List of Routines]

     :PROCEDURE:
        iug_movie_smart

     :PURPOSE:
        Show movie of the solar images obtained by the SMART telescope
          at the Hida Observatory, Kyoto Univ.

     :KEYWOARDS:
        valuename : tplot variables for image data

     :EXAMPLES:
        iug_movie_smart, 'smart_t1_p00'

     :Author:
        Satoru UeNo (E-mail: ueno@kwasan.kyoto-u.ac.jp)

(See projects/iugonet/plot/iug_movie_smart.pro)

## IUG_PLOT2D_EAR_FAI

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
      iug_plot2d_ear_fai

    PURPOSE:
      Generate several 2-D plots from the FAI f-region observation data taken by the EAR.

    SYNTAX:
      iug_plot2d_ear_fai, valuename=valuename

    KEYWOARDS:
      VALUENAME = tplot variable names of ionosonde observation data.
             For example, iug_plot2d_ear_fai,valuename = 'faifb8p16m1'.
             The default is 'faifb8p16m1'.
      STIME = Start time of 2-D plot of the EAR-FAI observations.
             For example, iug_plot2d_ear_fai, stime = '2012-03-23/15:00:00'.
             The default is '2012-03-23/15:00:00'.
      MINIMUM = Minimum value of color plot. For example, iug_plot2d_ear_fai, min = 0.
             The default is 0.
      MAXIMUM = Maximum value of color plot. For example, iug_plot2d_ear_fai, max = 60.
             The default is 60.
      ZTICKS = Number of zticks to divide the bar into. There will be (zticks + 1) annotations.
             The default is 6.
      CHARSIZE = Select of character size. For example, iug_plot2d_ear_fai, charsize = 1.5.
             The default is 1.5.
    NOTES:
      Before you examine this procedure, the EAR-FAI data are necceary to load.

    CODE:
      A. Shinbori, 08/07/2013.

    MODIFICATIONS:
      A. Shinbori, 09/01/2014.

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/plot/iug_plot2d_ear_fai.pro)

## IUG_PLOT2D_GPS_RO

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
      iug_plot2d_gps_ro

    PURPOSE:
      Generate several height-latitude profile from the GPS radio occultation data
      taken by the CHAMP and COSMIC satellites.

    SYNTAX:
      iug_plot2d_gps_ro, valuename1 = valuename1, valuename2 = valuename2

    KEYWOARDS:

      SITE = LEO satellite name. CHAMP and COSMIC are available as an input satellite name.
             The default is 'cosmic'.

    CODE:
      A. Shinbori, 14/05/2016.

    MODIFICATIONS:

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/plot/iug_plot2d_gps_ro.pro)

## IUG_PLOT2D_IONOGRAM

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
      iug_plot2d_ionogram

    PURPOSE:
      Generate several ionogram plots from the ionogram data taken by the ionosonde.

    SYNTAX:
      iug_plot2d_ionogram, valuename=valuename

    KEYWOARDS:
      VALUENAME = tplot variable names of ionosonde observation data.
             For example, iug_plot2d_ionogram,valuename = 'iug_ionosonde_sgk_ionogram'.
             The default is 'iug_ionosonde_sgk_ionogram'.

    CODE:
      A. Shinbori, 11/01/2013.

    MODIFICATIONS:
      A. Shinbori, 09/01/2014.

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/plot/iug_plot2d_ionogram.pro)

## IUG_PLOT2D_IRIO

[Previous Routine] [Next Routine] [List of Routines]

     :PROCEDURE:
        iug_plot2d_irio, vn, col, row, start_time=start_time, $
               step=step, valrng=valrng, flipns=flipns, flipew=flipew, $
               oblique_cor=oblique_cor

     :PURPOSE:
        Plot 2D image of the imaging riometer data obtained by NIPR.
        The data are mapped to 90km altitude in the magnetic coordinate.

     :KEYWOARDS:
        vn  : tplot variables for image data
        col : number of column
        row : number of row
        start_time : start time of the images
        step: time step
        valrng: minimal and maximal values for display (default: [0, 4])
        flipns: set to flip in the North-South direction (default: top is north)
        flipew: set to flip in the East-West direction (default: right is east)
        oblique_cor: if set, CNA for the oblique beams is corrected by CNA*cos(ze).

     :EXAMPLES:
        iug_plot2d_irio, 'nipr_irio_syo_cna', 3, 3, $
                         start_time='2003-02-09/01:30', step=60

     :Author:
        Y.-M. Tanaka (ytanaka at nipr.ac.jp)

(See projects/iugonet/plot/iug_plot2d_irio.pro)

## IUG_PLOT2D_MU_FAI

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
      iug_plot2d_mu_fai

    PURPOSE:
      Generate several 2-D plots from the FAI f-region observation data taken by the MU radar.

    SYNTAX:
      iug_plot2d_mu_fai, valuename=valuename

    KEYWOARDS:
      VALUENAME = tplot variable names of ionosonde observation data.
             For example, iug_plot2d_mu_fai,valuename = 'ifco16'.
             The default is 'ifco16'.
      STIME = Start time of 2-D plot of the EAR-FAI observations.
             For example, iug_plot2d_mu_fai, stime = '2007-01-09/15:00:00'.
             The default is '2007-01-09/15:00:00'.
      MINIMUM = Minimum value of color plot. For example, iug_plot2d_mu_fai, min = 0.
             The default is 0.
      MAXIMUM = Maximum value of color plot. For example, iug_plot2d_mu_fai, max = 50.
             The default is 50.
      ZTICKS = Number of zticks to divide the bar into. There will be (zticks + 1) annotations.
             The default is 5.
      CHARSIZE = Select of character size. For example, iug_plot2d_ear_fai, charsize = 1.5.
             The default is 1.5.

    NOTES:
      Before you examine this procedure, the EAR-FAI data are necceary to load.

    CODE:
      A. Shinbori, 08/07/2013.

    MODIFICATIONS:
      A. Shinbori, 09/01/2014.

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/plot/iug_plot2d_mu_fai.pro)

## IUG_PLOT2D_RADIOSONDE

[Previous Routine] [Next Routine] [List of Routines]

    NAME:
      iug_plot2d_radiosonde

    PURPOSE:
      Generate several height profiles from the radiosonde data.

    SYNTAX:
      iug_plot2d_radiosonde, site=site

    KEYWOARDS:
      SITE = Radiosonde observation sites.
             For example, iug_plot2d_radiosonde,site = 'sgk'.
             The default is 'sgk'.

    CODE:
      A. Shinbori, 30/05/2013.

    MODIFICATIONS:
      A. Shinbori, 09/01/2014.

    ACKNOWLEDGEMENT:
     $LastChangedBy: nikos $
     $LastChangedDate: 2018-08-01 11:03:38 -0700 (Wed, 01 Aug 2018) $
     $LastChangedRevision: 25538 $
     $URL $

(See projects/iugonet/plot/iug_plot2d_radiosonde.pro)

## IUG_PLOT2D_SMART

[Previous Routine] [Next Routine] [List of Routines]

     :PROCEDURE:
        iug_plot2d_smart

     :PURPOSE:
        Plot the solar image data obtained by the SMART telescope at the Hida Observatory,
          Kyoto Univ.

     :KEYWOARDS:
        vn  : tplot variables for image data
        col : number of column
        row : number of row
        start_time : start time of the images

     :EXAMPLES:
        iug_plot2d_smart, 'smart_t1_p00', 3, 3, start_time='2005-08-03/05:00:00'

     :Author:
        Tomo Hori (E-mail: horit@stelab.nagoya-u.ac.jp)
        Satoru UeNo (E-mail: ueno@kwasan.kyoto-u.ac.jp)

(See projects/iugonet/plot/iug_plot2d_smart.pro)

## OVERLAY_MAP_ASI_NIPR

[Previous Routine] [Next Routine] [List of Routines]

    	PROCEDURE overlay_map_asi_nipr

     :DESCRIPTION:
        Plot 2D images from all-sky imagers on the plot window set up by map_set.

     :PARAMS:
        asi_vn:   tplot variable names (as strings) to be plotted

     :KEYWORDS:
        set_time: time to plot all-sky imager data
                  (ex., '2012-01-12/21:30:00' or Unix time)
        altitude: altitude on which the image data will be mapped.
                  The default value is 110 (km). Available values are 90, 110, 150, 250.
        position:  position of the plot frame in the plot window
        colorrange: range of values of colorscale (this can be an array)
        notimelabel: set to surpress drawing the time label
        timelabelpos: position of the color scale in the noraml coordinates
        tlcharsize: size of the characters used for the time label
        nocolorscale: set to surpress drawing the color scale
        colorscalepos: position of the color scale in the noraml coordinates.
                       Default: [0.85, 0.1, 0.87, 0.45]
        cscharsize: size of the characters used for the colorscale

     :AUTHOR:
        Yoshimasa Tanaka (E-mail: ytanaka@nipr.ac.jp)

     :HISTORY:
        2014/07/08: Created

(See projects/iugonet/plot/overlay_map_asi_nipr.pro)

## OVERLAY_MAP_THMASI

[Previous Routine] [Next Routine] [List of Routines]

    	PROCEDURE overlay_map_thmasi

     :DESCRIPTION:
        Plot 2D images from all-sky imagers on the plot window set up by map_set.

     :PARAMS:
        asi_vn:   tplot variable names (as strings) to be plotted

     :KEYWORDS:
        set_time: time to plot all-sky imager data
                  (ex., '2011-01-01/00:00:00 or Unix time)
        altitude: altitude on which the image data will be mapped.
                  The default value is 110 (km). Available values are 90, 110, 150, 250.
        position:  Position of the plot frame in the plot window
        colorrange: range of values of colorscale (this can be an array)
        notimelabel: set to surpress drawing the time label
        timelabelpos: position of the color scale in the noraml coordinates
        tlcharsize: the size of the characters used for the time label
        nocolorscale: set to surpress drawing the color scale
        colorscalepos: set the position of the color scale in the noraml coordinates.
                       Default: [0.85, 0.1, 0.87, 0.45]
        cscharsize: size of the characters used for the colorscale.

     :AUTHOR:
        Yoshimasa Tanaka (E-mail: ytanaka@nipr.ac.jp)

     :HISTORY:
        2014/07/08: Created

(See projects/iugonet/plot/overlay_map_thmasi.pro)

## PLOT_MAP_ASI_NIPR

[Previous Routine] [Next Routine] [List of Routines]

     PROCEDURE plot_map_asi_nipr

     :PURPOSE:
        Draw NIPR all-sky imager data on the world map

     :Params:
        asi_vns:   tplot variable to be plotted

     :Keywords:
        set_time: time to plot all-sky imager data
                  (ex., '2012-01-12/21:30:00' or Unix time)
        coord: the name of the coordinate system.
               'geo' or 0 for geographic coordinate
               'aacgm' or 1 for AACGM coordinate
        glatc: geographical latitude at which a plot region is centered
        glonc: geographical longitude at which a plot region is centered
        scale: same as the keyword "scale" of map_set
        altitude: altitude on which the image data will be mapped.
                  The default value is 110 (km). Available values are 90, 110, 150, 250.
        colorrange: range of values of colorscale (this can be an array)
        erase: set to erase pre-existing graphics on the plot window.
        position:  position of the plot frame in the plot window
        label: set to label the latitudes and longitudes.
        stereo: use the stereographic mapping, instead of satellite mapping (default)
        coast: set to draw coast
        mapcharsize: size of the characters used for the labels.
        mltlabel: set to draw the MLT labels every 2 hour
        lonlab: a latitude from which (toward the poles) the MLT labels are drawn
        nogrid: set to suppress drawing the lat-lon mesh
        notimelabel: set to surpress drawing the time label
        timelabelpos: position of the color scale in the noraml coordinates
        tlcharsize: size of the characters used for the time label
        nocolorscale: set to surpress drawing the color scale
        colorscalepos: position of the color scale in the noraml coordinates.
                       Default: [0.85, 0.1, 0.87, 0.45]
        cscharsize: size of the characters used for the colorscale

     :EXAMPLES:
       plot_map_asi_nipr, 'nipr_asi_hus_0000'
       plot_map_asi_nipr, 'nipr_asi_hus_0000', glatc=65., glonc=-15.

     :AUTHOR:
        Yoshimasa Tanaka (E-mail: ytanaka@nipr.ac.jp)

     :HISTORY:
        2014/08/03: Created

(See projects/iugonet/plot/plot_map_asi_nipr.pro)

## SCALE_IMAGE_VALUES

[Previous Routine] [List of Routines]

    	PROCEDURE scale_image_values

     :DESCRIPTION:
        Scale values of image into the designated range.

     :PARAMS:
        image:
        range:
        image_out:

     :AUTHOR:
        Yoshimasa Tanaka (E-mail: ytanaka@nipr.ac.jp)

     :HISTORY:
        2014/07/08: Created

(See projects/iugonet/plot/scale_image_values.pro)